use std::path::Path;

use serde::Serialize;

use crate::blog_post::Object;
use crate::config::Config;
use crate::error::CustomError;

#[derive(Debug, Serialize)]
#[serde(untagged)]
pub(crate) enum RenderObject {}

impl RenderObject {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        section: &Object,
    ) -> Result<RenderObject, CustomError> {
        todo!()
    }
}
